diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/revision.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/revision.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/revision.php	2010-10-21 19:27:12.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/revision.php	2013-07-31 09:31:54.000000000 -0500
***************
*** 9,223 ****
  /** WordPress Administration Bootstrap */
  require_once('./admin.php');
  
! wp_enqueue_script('list-revisions');
  
! wp_reset_vars(array('revision', 'left', 'right', 'action'));
  
! $revision_id = absint($revision);
! $left        = absint($left);
! $right       = absint($right);
  
  $redirect = 'edit.php';
  
  switch ( $action ) :
  case 'restore' :
! 	if ( !$revision = wp_get_post_revision( $revision_id ) )
! 		break;
! 	if ( !current_user_can( 'edit_post', $revision->post_parent ) )
! 		break;
! 	if ( !$post = get_post( $revision->post_parent ) )
  		break;
  
! 	// Revisions disabled and we're not looking at an autosave
! 	if ( ( ! WP_POST_REVISIONS || !post_type_supports($post->post_type, 'revisions') ) && !wp_is_post_autosave( $revision ) ) {
! 		$redirect = 'edit.php?post_type=' . $post->post_type;
  		break;
- 	}
- 
- 	check_admin_referer( "restore-post_$post->ID|$revision->ID" );
  
! 	wp_restore_post_revision( $revision->ID );
! 	$redirect = add_query_arg( array( 'message' => 5, 'revision' => $revision->ID ), get_edit_post_link( $post->ID, 'url' ) );
! 	break;
! case 'diff' :
! 	if ( !$left_revision  = get_post( $left ) )
! 		break;
! 	if ( !$right_revision = get_post( $right ) )
  		break;
  
! 	if ( !current_user_can( 'read_post', $left_revision->ID ) || !current_user_can( 'read_post', $right_revision->ID ) )
! 		break;
! 
! 	// If we're comparing a revision to itself, redirect to the 'view' page for that revision or the edit page for that post
! 	if ( $left_revision->ID == $right_revision->ID ) {
! 		$redirect = get_edit_post_link( $left_revision->ID );
! 		include( './js/revisions-js.php' );
! 		break;
! 	}
! 
! 	// Don't allow reverse diffs?
! 	if ( strtotime($right_revision->post_modified_gmt) < strtotime($left_revision->post_modified_gmt) ) {
! 		$redirect = add_query_arg( array( 'left' => $right, 'right' => $left ) );
  		break;
  	}
  
! 	if ( $left_revision->ID == $right_revision->post_parent ) // right is a revision of left
! 		$post =& $left_revision;
! 	elseif ( $left_revision->post_parent == $right_revision->ID ) // left is a revision of right
! 		$post =& $right_revision;
! 	elseif ( $left_revision->post_parent == $right_revision->post_parent ) // both are revisions of common parent
! 		$post = get_post( $left_revision->post_parent );
! 	else
! 		break; // Don't diff two unrelated revisions
! 
! 	if ( ! WP_POST_REVISIONS || !post_type_supports($post->post_type, 'revisions') ) { // Revisions disabled
! 		if (
! 			// we're not looking at an autosave
! 			( !wp_is_post_autosave( $left_revision ) && !wp_is_post_autosave( $right_revision ) )
! 		||
! 			// we're not comparing an autosave to the current post
! 			( $post->ID !== $left_revision->ID && $post->ID !== $right_revision->ID )
! 		) {
! 			$redirect = 'edit.php?post_type=' . $post->post_type;
! 			break;
! 		}
! 	}
! 
! 	if (
! 		// They're the same
! 		$left_revision->ID == $right_revision->ID
! 	||
! 		// Neither is a revision
! 		( !wp_get_post_revision( $left_revision->ID ) && !wp_get_post_revision( $right_revision->ID ) )
! 	)
  		break;
  
! 	$post_title = '<a href="' . get_edit_post_link() . '">' . get_the_title() . '</a>';
! 	$h2 = sprintf( __( 'Compare Revisions of &#8220;%1$s&#8221;' ), $post_title );
! 	$title = __( 'Revisions' );
! 
! 	$left  = $left_revision->ID;
! 	$right = $right_revision->ID;
  
! 	$redirect = false;
  	break;
  case 'view' :
  default :
! 	if ( !$revision = wp_get_post_revision( $revision_id ) )
  		break;
! 	if ( !$post = get_post( $revision->post_parent ) )
  		break;
  
! 	if ( !current_user_can( 'read_post', $revision->ID ) || !current_user_can( 'read_post', $post->ID ) )
  		break;
  
  	// Revisions disabled and we're not looking at an autosave
! 	if ( ( ! WP_POST_REVISIONS || !post_type_supports($post->post_type, 'revisions') ) && !wp_is_post_autosave( $revision ) ) {
  		$redirect = 'edit.php?post_type=' . $post->post_type;
  		break;
  	}
  
! 	$post_title = '<a href="' . get_edit_post_link() . '">' . get_the_title() . '</a>';
! 	$revision_title = wp_post_revision_title( $revision, false );
! 	$h2 = sprintf( __( 'Revision for &#8220;%1$s&#8221; created on %2$s' ), $post_title, $revision_title );
  	$title = __( 'Revisions' );
  
- 	// Sets up the diff radio buttons
- 	$left  = $revision->ID;
- 	$right = $post->ID;
- 
  	$redirect = false;
  	break;
  endswitch;
  
  // Empty post_type means either malformed object found, or no valid parent was found.
! if ( !$redirect && empty($post->post_type) )
  	$redirect = 'edit.php';
  
! if ( !empty($redirect) ) {
  	wp_redirect( $redirect );
  	exit;
  }
  
  // This is so that the correct "Edit" menu item is selected.
! if ( !empty($post->post_type) && 'post' != $post->post_type )
  	$parent_file = $submenu_file = 'edit.php?post_type=' . $post->post_type;
  else
  	$parent_file = $submenu_file = 'edit.php';
  
! require_once( './admin-header.php' );
! 
! ?>
! 
! <div class="wrap">
! 
! <h2 class="long-header"><?php echo $h2; ?></h2>
! 
! <table class="form-table ie-fixed">
! 	<col class="th" />
! <?php if ( 'diff' == $action ) : ?>
! <tr id="revision">
! 	<th scope="row"></th>
! 	<th scope="col" class="th-full">
! 		<span class="alignleft"><?php printf( __('Older: %s'), wp_post_revision_title( $left_revision ) ); ?></span>
! 		<span class="alignright"><?php printf( __('Newer: %s'), wp_post_revision_title( $right_revision ) ); ?></span>
! 	</th>
! </tr>
! <?php endif;
! 
! // use get_post_to_edit filters?
! $identical = true;
! foreach ( _wp_post_revision_fields() as $field => $field_title ) :
! 	if ( 'diff' == $action ) {
! 		$left_content = apply_filters( "_wp_post_revision_field_$field", $left_revision->$field, $field );
! 		$right_content = apply_filters( "_wp_post_revision_field_$field", $right_revision->$field, $field );
! 		if ( !$content = wp_text_diff( $left_content, $right_content ) )
! 			continue; // There is no difference between left and right
! 		$identical = false;
! 	} else {
! 		add_filter( "_wp_post_revision_field_$field", 'htmlspecialchars' );
! 		$content = apply_filters( "_wp_post_revision_field_$field", $revision->$field, $field );
! 	}
! 	?>
! 
! 	<tr id="revision-field-<?php echo $field; ?>">
! 		<th scope="row"><?php echo esc_html( $field_title ); ?></th>
! 		<td><div class="pre"><?php echo $content; ?></div></td>
! 	</tr>
! 
! 	<?php
! 
! endforeach;
  
! if ( 'diff' == $action && $identical ) :
  
! 	?>
  
! 	<tr><td colspan="2"><div class="updated"><p><?php _e( 'These revisions are identical.' ); ?></p></div></td></tr>
  
! 	<?php
! 
! endif;
  
  ?>
  
! </table>
! 
! <br class="clear" />
! 
! <h3><?php echo $title; ?></h3>
! 
! <?php
! 
! $args = array( 'format' => 'form-table', 'parent' => true, 'right' => $right, 'left' => $left );
! if ( ! WP_POST_REVISIONS || !post_type_supports($post->post_type, 'revisions') )
! 	$args['type'] = 'autosave';
! 
! wp_list_post_revisions( $post, $args );
  
! ?>
  
- </div>
  
  <?php
  require_once( './admin-footer.php' );
--- 9,210 ----
  /** WordPress Administration Bootstrap */
  require_once('./admin.php');
  
! require ABSPATH . 'wp-admin/includes/revision.php';
  
! wp_reset_vars( array( 'revision', 'action', 'from', 'to' ) );
  
! $revision_id = absint( $revision );
  
+ $from = is_numeric( $from ) ? absint( $from ) : null;
+ if ( ! $revision_id )
+ 	$revision_id = absint( $to );
  $redirect = 'edit.php';
  
  switch ( $action ) :
  case 'restore' :
! 	if ( ! $revision = wp_get_post_revision( $revision_id ) )
  		break;
  
! 	if ( ! current_user_can( 'edit_post', $revision->post_parent ) )
  		break;
  
! 	if ( ! $post = get_post( $revision->post_parent ) )
  		break;
  
! 	// Revisions disabled (previously checked autosaves && ! wp_is_post_autosave( $revision ))
! 	if ( ! wp_revisions_enabled( $post ) ) {
! 		$redirect = 'edit.php?post_type=' . $post->post_type;
  		break;
  	}
  
! 	// Don't allow revision restore when post is locked
! 	if ( wp_check_post_lock( $post->ID ) )
  		break;
  
! 	check_admin_referer( "restore-post_{$revision->ID}" );
  
! 	wp_restore_post_revision( $revision->ID );
! 	$redirect = add_query_arg( array( 'message' => 5, 'revision' => $revision->ID ), get_edit_post_link( $post->ID, 'url' ) );
  	break;
  case 'view' :
+ case 'edit' :
  default :
! 	if ( ! $revision = wp_get_post_revision( $revision_id ) )
  		break;
! 	if ( ! $post = get_post( $revision->post_parent ) )
  		break;
  
! 	if ( ! current_user_can( 'read_post', $revision->ID ) || ! current_user_can( 'read_post', $post->ID ) )
  		break;
  
  	// Revisions disabled and we're not looking at an autosave
! 	if ( ! wp_revisions_enabled( $post ) && ! wp_is_post_autosave( $revision ) ) {
  		$redirect = 'edit.php?post_type=' . $post->post_type;
  		break;
  	}
  
! 	$post_title = '<a href="' . get_edit_post_link() . '">' . _draft_or_post_title() . '</a>';
! 	$h2 = sprintf( __( 'Compare Revisions of &#8220;%1$s&#8221;' ), $post_title );
  	$title = __( 'Revisions' );
  
  	$redirect = false;
  	break;
  endswitch;
  
  // Empty post_type means either malformed object found, or no valid parent was found.
! if ( ! $redirect && empty( $post->post_type ) )
  	$redirect = 'edit.php';
  
! if ( ! empty( $redirect ) ) {
  	wp_redirect( $redirect );
  	exit;
  }
  
  // This is so that the correct "Edit" menu item is selected.
! if ( ! empty( $post->post_type ) && 'post' != $post->post_type )
  	$parent_file = $submenu_file = 'edit.php?post_type=' . $post->post_type;
  else
  	$parent_file = $submenu_file = 'edit.php';
  
! wp_enqueue_script( 'revisions' );
! wp_localize_script( 'revisions', '_wpRevisionsSettings', wp_prepare_revisions_for_js( $post, $revision_id, $from ) );
  
! /* Revisions Help Tab */
  
! $revisions_overview  = '<p>' . __( 'This screen is used for managing your content revisions.' ) . '</p>';
! $revisions_overview .= '<p>' . __( 'Revisions are saved copies of your post or page, which are periodically created as you update your content. The red text on the left shows the content that was removed. The green text on the right shows the content that was added.' ) . '</p>';
! $revisions_overview .= '<p>' . __( 'From this screen you can review, compare, and restore revisions:' ) . '</p>';
! $revisions_overview .= '<ul><li>' . __( 'To navigate between revisions, <strong>drag the slider handle left or right</strong> or <strong>use the Previous or Next buttons</strong>.' ) . '</li>';
! $revisions_overview .= '<li>' . __( 'Compare two different revisions by <strong>selecting the &#8220;Compare any two revisions&#8221; box</strong> to the side.' ) . '</li>';
! $revisions_overview .= '<li>' . __( 'To restore a revision, <strong>click Restore This Revision</strong>.' ) . '</li></ul>';
! 
! get_current_screen()->add_help_tab( array(
! 	'id'      => 'revisions-overview',
! 	'title'   => __( 'Overview' ),
! 	'content' => $revisions_overview
! ) );
! 
! $revisions_sidebar  = '<p><strong>' . __( 'For more information:' ) . '</strong></p>';
! $revisions_sidebar .= '<p>' . __( '<a href="http://codex.wordpress.org/Revision_Management" target="_blank">Revisions Management</a>' ) . '</p>';
! $revisions_sidebar .= '<p>' . __( '<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>' ) . '</p>';
  
! get_current_screen()->set_help_sidebar( $revisions_sidebar );
  
! require_once( './admin-header.php' );
  
  ?>
  
! <div class="wrap">
! 	<?php screen_icon(); ?>
! 	<h2 class="long-header"><?php echo $h2; ?></h2>
! </div>
  
! <script id="tmpl-revisions-frame" type="text/html">
! 	<div class="revisions-control-frame"></div>
! 	<div class="revisions-diff-frame"></div>
! </script>
! 
! <script id="tmpl-revisions-buttons" type="text/html">
! 	<div class="revisions-previous">
! 		<input class="button" type="button" value="<?php echo esc_attr_x( 'Previous', 'Button label for a previous revision' ); ?>" />
! 	</div>
! 
! 	<div class="revisions-next">
! 		<input class="button" type="button" value="<?php echo esc_attr_x( 'Next', 'Button label for a next revision' ); ?>" />
! 	</div>
! </script>
! 
! <script id="tmpl-revisions-checkbox" type="text/html">
! 	<div class="revision-toggle-compare-mode">
! 		<label>
! 			<input type="checkbox" class="compare-two-revisions"
! 			<#
! 			if ( 'undefined' !== typeof data && data.model.attributes.compareTwoMode ) {
! 			 	#> checked="checked"<#
! 			}
! 			#>
! 			/>
! 			<?php esc_attr_e( 'Compare any two revisions' ); ?>
! 		</label>
! 	</div>
! </script>
! 
! <script id="tmpl-revisions-meta" type="text/html">
! 	<# if ( ! _.isUndefined( data.attributes ) ) { #>
! 		<div class="diff-title">
! 			<# if ( 'from' === data.type ) { #>
! 				<strong><?php _ex( 'From:', 'Followed by post revision info' ); ?></strong>
! 			<# } else if ( 'to' === data.type ) { #>
! 				<strong><?php _ex( 'To:', 'Followed by post revision info' ); ?></strong>
! 			<# } #>
! 			<div class="author-card<# if ( data.attributes.autosave ) { #> autosave<# } #>">
! 				{{{ data.attributes.author.avatar }}}
! 				<div class="author-info">
! 				<# if ( data.attributes.autosave ) { #>
! 					<span class="byline"><?php printf( __( 'Autosave by %s' ),
! 						'<span class="author-name">{{ data.attributes.author.name }}</span>' ); ?></span>
! 				<# } else if ( data.attributes.current ) { #>
! 					<span class="byline"><?php printf( __( 'Current Revision by %s' ),
! 						'<span class="author-name">{{ data.attributes.author.name }}</span>' ); ?></span>
! 				<# } else { #>
! 					<span class="byline"><?php printf( __( 'Revision by %s' ),
! 						'<span class="author-name">{{ data.attributes.author.name }}</span>' ); ?></span>
! 				<# } #>
! 					<span class="time-ago">{{ data.attributes.timeAgo }}</span>
! 					<span class="date">({{ data.attributes.dateShort }})</span>
! 				</div>
! 			<# if ( 'to' === data.type && data.attributes.restoreUrl ) { #>
! 				<input  <?php if ( wp_check_post_lock( $post->ID ) ) { ?>
! 					disabled="disabled"
! 				<?php } else { ?>
! 					<# if ( data.attributes.current ) { #>
! 						disabled="disabled"
! 					<# } #>
! 				<?php } ?>
! 				<# if ( data.attributes.autosave ) { #>
! 					type="button" class="restore-revision button button-primary" value="<?php esc_attr_e( 'Restore This Autosave' ); ?>" />
! 				<# } else { #>
! 					type="button" class="restore-revision button button-primary" value="<?php esc_attr_e( 'Restore This Revision' ); ?>" />
! 				<# } #>
! 			<# } #>
! 		</div>
! 	<# if ( 'tooltip' === data.type ) { #>
! 		<div class="revisions-tooltip-arrow"><span></span></div>
! 	<# } #>
! <# } #>
! </script>
! 
! <script id="tmpl-revisions-diff" type="text/html">
! 	<div class="loading-indicator"><span class="spinner"></span></div>
! 	<div class="diff-error"><?php _e( 'Sorry, something went wrong. The requested comparison could not be loaded.' ); ?></div>
! 	<div class="diff">
! 	<# _.each( data.fields, function( field ) { #>
! 		<h3>{{ field.name }}</h3>
! 		{{{ field.diff }}}
! 	<# }); #>
! 	</div>
! </script>
  
  
  <?php
  require_once( './admin-footer.php' );
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/setup-config.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/setup-config.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/setup-config.php	2012-11-30 07:40:59.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/setup-config.php	2013-03-01 11:14:09.000000000 -0600
***************
*** 164,170 ****
  
  	case 2:
  	foreach ( array( 'dbname', 'uname', 'pwd', 'dbhost', 'prefix' ) as $key )
! 		$$key = trim( stripslashes( $_POST[ $key ] ) );
  
  	$tryagain_link = '</p><p class="step"><a href="setup-config.php?step=1" onclick="javascript:history.go(-1);return false;" class="button button-large">' . __( 'Try again' ) . '</a>';
  
--- 164,170 ----
  
  	case 2:
  	foreach ( array( 'dbname', 'uname', 'pwd', 'dbhost', 'prefix' ) as $key )
! 		$$key = trim( wp_unslash( $_POST[ $key ] ) );
  
  	$tryagain_link = '</p><p class="step"><a href="setup-config.php?step=1" onclick="javascript:history.go(-1);return false;" class="button button-large">' . __( 'Try again' ) . '</a>';
  
***************
*** 283,289 ****
  		chmod(ABSPATH . 'wp-config.php', 0666);
  		setup_config_display_header();
  ?>
! <p><?php _e( "All right sparky! You&#8217;ve made it through this part of the installation. WordPress can now communicate with your database. If you are ready, time now to&hellip;" ); ?></p>
  
  <p class="step"><a href="install.php" class="button button-large"><?php _e( 'Run the install' ); ?></a></p>
  <?php
--- 283,289 ----
  		chmod(ABSPATH . 'wp-config.php', 0666);
  		setup_config_display_header();
  ?>
! <p><?php _e( "All right, sparky! You&#8217;ve made it through this part of the installation. WordPress can now communicate with your database. If you are ready, time now to&hellip;" ); ?></p>
  
  <p class="step"><a href="install.php" class="button button-large"><?php _e( 'Run the install' ); ?></a></p>
  <?php
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/theme-editor.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/theme-editor.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/theme-editor.php	2012-09-04 17:35:12.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/theme-editor.php	2013-05-08 16:27:31.000000000 -0500
***************
*** 26,32 ****
  'content'	=>
  	'<p>' . __('You can use the Theme Editor to edit the individual CSS and PHP files which make up your theme.') . '</p>
  	<p>' . __('Begin by choosing a theme to edit from the dropdown menu and clicking Select. A list then appears of all the template files. Clicking once on any file name causes the file to appear in the large Editor box.') . '</p>
! 	<p>' . __('For PHP files, you can use the Documentation dropdown to select from functions recognized in that file. Lookup takes you to a web page with reference material about that particular function.') . '</p>
  	<p id="newcontent-description">' . __('In the editing area the Tab key enters a tab character. To move below this area by pressing Tab, press the Esc key followed by the Tab key.') . '</p>
  	<p>' . __('After typing in your edits, click Update File.') . '</p>
  	<p>' . __('<strong>Advice:</strong> think very carefully about your site crashing if you are live-editing the theme currently in use.') . '</p>
--- 26,32 ----
  'content'	=>
  	'<p>' . __('You can use the Theme Editor to edit the individual CSS and PHP files which make up your theme.') . '</p>
  	<p>' . __('Begin by choosing a theme to edit from the dropdown menu and clicking Select. A list then appears of all the template files. Clicking once on any file name causes the file to appear in the large Editor box.') . '</p>
! 	<p>' . __('For PHP files, you can use the Documentation dropdown to select from functions recognized in that file. Look Up takes you to a web page with reference material about that particular function.') . '</p>
  	<p id="newcontent-description">' . __('In the editing area the Tab key enters a tab character. To move below this area by pressing Tab, press the Esc key followed by the Tab key.') . '</p>
  	<p>' . __('After typing in your edits, click Update File.') . '</p>
  	<p>' . __('<strong>Advice:</strong> think very carefully about your site crashing if you are live-editing the theme currently in use.') . '</p>
***************
*** 68,74 ****
  	$relative_file = 'style.css';
  	$file = $allowed_files['style.css'];
  } else {
! 	$relative_file = stripslashes( $file );
  	$file = $theme->get_stylesheet_directory() . '/' . $relative_file;
  }
  
--- 68,74 ----
  	$relative_file = 'style.css';
  	$file = $allowed_files['style.css'];
  } else {
! 	$relative_file = $file;
  	$file = $theme->get_stylesheet_directory() . '/' . $relative_file;
  }
  
***************
*** 78,84 ****
  switch( $action ) {
  case 'update':
  	check_admin_referer( 'edit-theme_' . $file . $stylesheet );
! 	$newcontent = stripslashes( $_POST['newcontent'] );
  	$location = 'theme-editor.php?file=' . urlencode( $relative_file ) . '&theme=' . urlencode( $stylesheet ) . '&scrollto=' . $scrollto;
  	if ( is_writeable( $file ) ) {
  		//is_writable() not always reliable, check return value. see comments @ http://uk.php.net/is_writable
--- 78,84 ----
  switch( $action ) {
  case 'update':
  	check_admin_referer( 'edit-theme_' . $file . $stylesheet );
! 	$newcontent = wp_unslash( $_POST['newcontent'] );
  	$location = 'theme-editor.php?file=' . urlencode( $relative_file ) . '&theme=' . urlencode( $stylesheet ) . '&scrollto=' . $scrollto;
  	if ( is_writeable( $file ) ) {
  		//is_writable() not always reliable, check return value. see comments @ http://uk.php.net/is_writable
***************
*** 112,118 ****
  			$functions = wp_doc_link_parse( $content );
  
  			$docs_select = '<select name="docs-list" id="docs-list">';
! 			$docs_select .= '<option value="">' . esc_attr__( 'Function Name...' ) . '</option>';
  			foreach ( $functions as $function ) {
  				$docs_select .= '<option value="' . esc_attr( urlencode( $function ) ) . '">' . htmlspecialchars( $function ) . '()</option>';
  			}
--- 112,118 ----
  			$functions = wp_doc_link_parse( $content );
  
  			$docs_select = '<select name="docs-list" id="docs-list">';
! 			$docs_select .= '<option value="">' . esc_attr__( 'Function Name&hellip;' ) . '</option>';
  			foreach ( $functions as $function ) {
  				$docs_select .= '<option value="' . esc_attr( urlencode( $function ) ) . '">' . htmlspecialchars( $function ) . '()</option>';
  			}
***************
*** 209,215 ****
  		<div id="documentation" class="hide-if-no-js">
  		<label for="docs-list"><?php _e('Documentation:') ?></label>
  		<?php echo $docs_select; ?>
! 		<input type="button" class="button" value=" <?php esc_attr_e( 'Lookup' ); ?> " onclick="if ( '' != jQuery('#docs-list').val() ) { window.open( 'http://api.wordpress.org/core/handbook/1.0/?function=' + escape( jQuery( '#docs-list' ).val() ) + '&amp;locale=<?php echo urlencode( get_locale() ) ?>&amp;version=<?php echo urlencode( $wp_version ) ?>&amp;redirect=true'); }" />
  		</div>
  	<?php endif; ?>
  
--- 209,215 ----
  		<div id="documentation" class="hide-if-no-js">
  		<label for="docs-list"><?php _e('Documentation:') ?></label>
  		<?php echo $docs_select; ?>
! 		<input type="button" class="button" value=" <?php esc_attr_e( 'Look Up' ); ?> " onclick="if ( '' != jQuery('#docs-list').val() ) { window.open( 'http://api.wordpress.org/core/handbook/1.0/?function=' + escape( jQuery( '#docs-list' ).val() ) + '&amp;locale=<?php echo urlencode( get_locale() ) ?>&amp;version=<?php echo urlencode( $wp_version ) ?>&amp;redirect=true'); }" />
  		</div>
  	<?php endif; ?>
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/theme-install.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/theme-install.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/theme-install.php	2012-08-21 21:28:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/theme-install.php	2013-05-22 16:01:57.000000000 -0500
***************
*** 37,43 ****
  do_action('install_themes_pre_' . $tab); //Used to override the general interface, Eg, install or theme information.
  
  $help_overview =
! 	'<p>' . sprintf(__('You can find additional themes for your site by using the Theme Browser/Installer on this screen, which will display themes from the <a href="%s" target="_blank">WordPress.org Theme Directory</a>. These themes are designed and developed by third parties, are available free of charge, and are compatible with the license WordPress uses.'), 'http://wordpress.org/extend/themes/') . '</p>' .
  	'<p>' . __('You can Search for themes by keyword, author, or tag, or can get more specific and search by criteria listed in the feature filter. Alternately, you can browse the themes that are Featured, Newest, or Recently Updated. When you find a theme you like, you can preview it or install it.') . '</p>' .
  	'<p>' . __('You can Upload a theme manually if you have already downloaded its ZIP archive onto your computer (make sure it is from a trusted and original source). You can also do it the old-fashioned way and copy a downloaded theme&#8217;s folder via FTP into your <code>/wp-content/themes</code> directory.') . '</p>';
  
--- 37,43 ----
  do_action('install_themes_pre_' . $tab); //Used to override the general interface, Eg, install or theme information.
  
  $help_overview =
! 	'<p>' . sprintf(__('You can find additional themes for your site by using the Theme Browser/Installer on this screen, which will display themes from the <a href="%s" target="_blank">WordPress.org Theme Directory</a>. These themes are designed and developed by third parties, are available free of charge, and are compatible with the license WordPress uses.'), 'http://wordpress.org/themes/') . '</p>' .
  	'<p>' . __('You can Search for themes by keyword, author, or tag, or can get more specific and search by criteria listed in the feature filter. Alternately, you can browse the themes that are Featured, Newest, or Recently Updated. When you find a theme you like, you can preview it or install it.') . '</p>' .
  	'<p>' . __('You can Upload a theme manually if you have already downloaded its ZIP archive onto your computer (make sure it is from a trusted and original source). You can also do it the old-fashioned way and copy a downloaded theme&#8217;s folder via FTP into your <code>/wp-content/themes</code> directory.') . '</p>';
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/themes.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/themes.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/themes.php	2012-09-24 11:31:41.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/themes.php	2013-05-22 16:01:57.000000000 -0500
***************
*** 54,60 ****
  	if ( is_multisite() ) {
  		$help_install = '<p>' . __('Installing themes on Multisite can only be done from the Network Admin section.') . '</p>';
  	} else {
! 		$help_install = '<p>' . sprintf( __('If you would like to see more themes to choose from, click on the &#8220;Install Themes&#8221; tab and you will be able to browse or search for additional themes from the <a href="%s" target="_blank">WordPress.org Theme Directory</a>. Themes in the WordPress.org Theme Directory are designed and developed by third parties, and are compatible with the license WordPress uses. Oh, and they&#8217;re free!'), 'http://wordpress.org/extend/themes/' ) . '</p>';
  	}
  
  	get_current_screen()->add_help_tab( array(
--- 54,60 ----
  	if ( is_multisite() ) {
  		$help_install = '<p>' . __('Installing themes on Multisite can only be done from the Network Admin section.') . '</p>';
  	} else {
! 		$help_install = '<p>' . sprintf( __('If you would like to see more themes to choose from, click on the &#8220;Install Themes&#8221; tab and you will be able to browse or search for additional themes from the <a href="%s" target="_blank">WordPress.org Theme Directory</a>. Themes in the WordPress.org Theme Directory are designed and developed by third parties, and are compatible with the license WordPress uses. Oh, and they&#8217;re free!'), 'http://wordpress.org/themes/' ) . '</p>';
  	}
  
  	get_current_screen()->add_help_tab( array(
***************
*** 159,165 ****
  	if ( is_array( $submenu ) && isset( $submenu['themes.php'] ) ) {
  		foreach ( (array) $submenu['themes.php'] as $item) {
  			$class = '';
! 			if ( 'themes.php' == $item[2] || 'theme-editor.php' == $item[2] )
  				continue;
  			// 0 = name, 1 = capability, 2 = file
  			if ( ( strcmp($self, $item[2]) == 0 && empty($parent_file)) || ($parent_file && ($item[2] == $parent_file)) )
--- 159,165 ----
  	if ( is_array( $submenu ) && isset( $submenu['themes.php'] ) ) {
  		foreach ( (array) $submenu['themes.php'] as $item) {
  			$class = '';
! 			if ( 'themes.php' == $item[2] || 'theme-editor.php' == $item[2] || 'customize.php' == $item[2] )
  				continue;
  			// 0 = name, 1 = capability, 2 = file
  			if ( ( strcmp($self, $item[2]) == 0 && empty($parent_file)) || ($parent_file && ($item[2] == $parent_file)) )
